Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network16.40.64.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
16.40.64.0
Broadcast address
16.40.127.255
First usable
16.40.64.1
Last usable
16.40.127.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
A (default /8)
As numbers
Hex 10284000 · Integer 271073280 to 271089663
Reverse DNS zones
64.40.16.in-addr.arpa
65.40.16.in-addr.arpa
66.40.16.in-addr.arpa
67.40.16.in-addr.arpa
68.40.16.in-addr.arpa
69.40.16.in-addr.arpa
70.40.16.in-addr.arpa
71.40.16.in-addr.arpa
72.40.16.in-addr.arpa
73.40.16.in-addr.arpa
74.40.16.in-addr.arpa
75.40.16.in-addr.arpa
76.40.16.in-addr.arpa
77.40.16.in-addr.arpa
78.40.16.in-addr.arpa
79.40.16.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00010000.00101000.01000000.0000000016.40.64.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network00010000.00101000.01000000.0000000016.40.64.0
Broadcast00010000.00101000.01111111.1111111116.40.127.255
Split into smaller subnets/25

16.40.64.0/18 makes 128 subnets of /25.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
116.40.64.0/2516.40.64.1 to 16.40.64.12616.40.64.127126
216.40.64.128/2516.40.64.129 to 16.40.64.25416.40.64.255126
316.40.65.0/2516.40.65.1 to 16.40.65.12616.40.65.127126
416.40.65.128/2516.40.65.129 to 16.40.65.25416.40.65.255126
516.40.66.0/2516.40.66.1 to 16.40.66.12616.40.66.127126
616.40.66.128/2516.40.66.129 to 16.40.66.25416.40.66.255126
716.40.67.0/2516.40.67.1 to 16.40.67.12616.40.67.127126
816.40.67.128/2516.40.67.129 to 16.40.67.25416.40.67.255126
916.40.68.0/2516.40.68.1 to 16.40.68.12616.40.68.127126
1016.40.68.128/2516.40.68.129 to 16.40.68.25416.40.68.255126
1116.40.69.0/2516.40.69.1 to 16.40.69.12616.40.69.127126
1216.40.69.128/2516.40.69.129 to 16.40.69.25416.40.69.255126
1316.40.70.0/2516.40.70.1 to 16.40.70.12616.40.70.127126
1416.40.70.128/2516.40.70.129 to 16.40.70.25416.40.70.255126
1516.40.71.0/2516.40.71.1 to 16.40.71.12616.40.71.127126
1616.40.71.128/2516.40.71.129 to 16.40.71.25416.40.71.255126
1716.40.72.0/2516.40.72.1 to 16.40.72.12616.40.72.127126
1816.40.72.128/2516.40.72.129 to 16.40.72.25416.40.72.255126
1916.40.73.0/2516.40.73.1 to 16.40.73.12616.40.73.127126
2016.40.73.128/2516.40.73.129 to 16.40.73.25416.40.73.255126
2116.40.74.0/2516.40.74.1 to 16.40.74.12616.40.74.127126
2216.40.74.128/2516.40.74.129 to 16.40.74.25416.40.74.255126
2316.40.75.0/2516.40.75.1 to 16.40.75.12616.40.75.127126
2416.40.75.128/2516.40.75.129 to 16.40.75.25416.40.75.255126
2516.40.76.0/2516.40.76.1 to 16.40.76.12616.40.76.127126
2616.40.76.128/2516.40.76.129 to 16.40.76.25416.40.76.255126
2716.40.77.0/2516.40.77.1 to 16.40.77.12616.40.77.127126
2816.40.77.128/2516.40.77.129 to 16.40.77.25416.40.77.255126
2916.40.78.0/2516.40.78.1 to 16.40.78.12616.40.78.127126
3016.40.78.128/2516.40.78.129 to 16.40.78.25416.40.78.255126
3116.40.79.0/2516.40.79.1 to 16.40.79.12616.40.79.127126
3216.40.79.128/2516.40.79.129 to 16.40.79.25416.40.79.255126
3316.40.80.0/2516.40.80.1 to 16.40.80.12616.40.80.127126
3416.40.80.128/2516.40.80.129 to 16.40.80.25416.40.80.255126
3516.40.81.0/2516.40.81.1 to 16.40.81.12616.40.81.127126
3616.40.81.128/2516.40.81.129 to 16.40.81.25416.40.81.255126
3716.40.82.0/2516.40.82.1 to 16.40.82.12616.40.82.127126
3816.40.82.128/2516.40.82.129 to 16.40.82.25416.40.82.255126
3916.40.83.0/2516.40.83.1 to 16.40.83.12616.40.83.127126
4016.40.83.128/2516.40.83.129 to 16.40.83.25416.40.83.255126
4116.40.84.0/2516.40.84.1 to 16.40.84.12616.40.84.127126
4216.40.84.128/2516.40.84.129 to 16.40.84.25416.40.84.255126
4316.40.85.0/2516.40.85.1 to 16.40.85.12616.40.85.127126
4416.40.85.128/2516.40.85.129 to 16.40.85.25416.40.85.255126
4516.40.86.0/2516.40.86.1 to 16.40.86.12616.40.86.127126
4616.40.86.128/2516.40.86.129 to 16.40.86.25416.40.86.255126
4716.40.87.0/2516.40.87.1 to 16.40.87.12616.40.87.127126
4816.40.87.128/2516.40.87.129 to 16.40.87.25416.40.87.255126
4916.40.88.0/2516.40.88.1 to 16.40.88.12616.40.88.127126
5016.40.88.128/2516.40.88.129 to 16.40.88.25416.40.88.255126
5116.40.89.0/2516.40.89.1 to 16.40.89.12616.40.89.127126
5216.40.89.128/2516.40.89.129 to 16.40.89.25416.40.89.255126
5316.40.90.0/2516.40.90.1 to 16.40.90.12616.40.90.127126
5416.40.90.128/2516.40.90.129 to 16.40.90.25416.40.90.255126
5516.40.91.0/2516.40.91.1 to 16.40.91.12616.40.91.127126
5616.40.91.128/2516.40.91.129 to 16.40.91.25416.40.91.255126
5716.40.92.0/2516.40.92.1 to 16.40.92.12616.40.92.127126
5816.40.92.128/2516.40.92.129 to 16.40.92.25416.40.92.255126
5916.40.93.0/2516.40.93.1 to 16.40.93.12616.40.93.127126
6016.40.93.128/2516.40.93.129 to 16.40.93.25416.40.93.255126
6116.40.94.0/2516.40.94.1 to 16.40.94.12616.40.94.127126
6216.40.94.128/2516.40.94.129 to 16.40.94.25416.40.94.255126
6316.40.95.0/2516.40.95.1 to 16.40.95.12616.40.95.127126
6416.40.95.128/2516.40.95.129 to 16.40.95.25416.40.95.255126
6516.40.96.0/2516.40.96.1 to 16.40.96.12616.40.96.127126
6616.40.96.128/2516.40.96.129 to 16.40.96.25416.40.96.255126
6716.40.97.0/2516.40.97.1 to 16.40.97.12616.40.97.127126
6816.40.97.128/2516.40.97.129 to 16.40.97.25416.40.97.255126
6916.40.98.0/2516.40.98.1 to 16.40.98.12616.40.98.127126
7016.40.98.128/2516.40.98.129 to 16.40.98.25416.40.98.255126
7116.40.99.0/2516.40.99.1 to 16.40.99.12616.40.99.127126
7216.40.99.128/2516.40.99.129 to 16.40.99.25416.40.99.255126
7316.40.100.0/2516.40.100.1 to 16.40.100.12616.40.100.127126
7416.40.100.128/2516.40.100.129 to 16.40.100.25416.40.100.255126
7516.40.101.0/2516.40.101.1 to 16.40.101.12616.40.101.127126
7616.40.101.128/2516.40.101.129 to 16.40.101.25416.40.101.255126
7716.40.102.0/2516.40.102.1 to 16.40.102.12616.40.102.127126
7816.40.102.128/2516.40.102.129 to 16.40.102.25416.40.102.255126
7916.40.103.0/2516.40.103.1 to 16.40.103.12616.40.103.127126
8016.40.103.128/2516.40.103.129 to 16.40.103.25416.40.103.255126
8116.40.104.0/2516.40.104.1 to 16.40.104.12616.40.104.127126
8216.40.104.128/2516.40.104.129 to 16.40.104.25416.40.104.255126
8316.40.105.0/2516.40.105.1 to 16.40.105.12616.40.105.127126
8416.40.105.128/2516.40.105.129 to 16.40.105.25416.40.105.255126
8516.40.106.0/2516.40.106.1 to 16.40.106.12616.40.106.127126
8616.40.106.128/2516.40.106.129 to 16.40.106.25416.40.106.255126
8716.40.107.0/2516.40.107.1 to 16.40.107.12616.40.107.127126
8816.40.107.128/2516.40.107.129 to 16.40.107.25416.40.107.255126
8916.40.108.0/2516.40.108.1 to 16.40.108.12616.40.108.127126
9016.40.108.128/2516.40.108.129 to 16.40.108.25416.40.108.255126
9116.40.109.0/2516.40.109.1 to 16.40.109.12616.40.109.127126
9216.40.109.128/2516.40.109.129 to 16.40.109.25416.40.109.255126
9316.40.110.0/2516.40.110.1 to 16.40.110.12616.40.110.127126
9416.40.110.128/2516.40.110.129 to 16.40.110.25416.40.110.255126
9516.40.111.0/2516.40.111.1 to 16.40.111.12616.40.111.127126
9616.40.111.128/2516.40.111.129 to 16.40.111.25416.40.111.255126
9716.40.112.0/2516.40.112.1 to 16.40.112.12616.40.112.127126
9816.40.112.128/2516.40.112.129 to 16.40.112.25416.40.112.255126
9916.40.113.0/2516.40.113.1 to 16.40.113.12616.40.113.127126
10016.40.113.128/2516.40.113.129 to 16.40.113.25416.40.113.255126
10116.40.114.0/2516.40.114.1 to 16.40.114.12616.40.114.127126
10216.40.114.128/2516.40.114.129 to 16.40.114.25416.40.114.255126
10316.40.115.0/2516.40.115.1 to 16.40.115.12616.40.115.127126
10416.40.115.128/2516.40.115.129 to 16.40.115.25416.40.115.255126
10516.40.116.0/2516.40.116.1 to 16.40.116.12616.40.116.127126
10616.40.116.128/2516.40.116.129 to 16.40.116.25416.40.116.255126
10716.40.117.0/2516.40.117.1 to 16.40.117.12616.40.117.127126
10816.40.117.128/2516.40.117.129 to 16.40.117.25416.40.117.255126
10916.40.118.0/2516.40.118.1 to 16.40.118.12616.40.118.127126
11016.40.118.128/2516.40.118.129 to 16.40.118.25416.40.118.255126
11116.40.119.0/2516.40.119.1 to 16.40.119.12616.40.119.127126
11216.40.119.128/2516.40.119.129 to 16.40.119.25416.40.119.255126
11316.40.120.0/2516.40.120.1 to 16.40.120.12616.40.120.127126
11416.40.120.128/2516.40.120.129 to 16.40.120.25416.40.120.255126
11516.40.121.0/2516.40.121.1 to 16.40.121.12616.40.121.127126
11616.40.121.128/2516.40.121.129 to 16.40.121.25416.40.121.255126
11716.40.122.0/2516.40.122.1 to 16.40.122.12616.40.122.127126
11816.40.122.128/2516.40.122.129 to 16.40.122.25416.40.122.255126
11916.40.123.0/2516.40.123.1 to 16.40.123.12616.40.123.127126
12016.40.123.128/2516.40.123.129 to 16.40.123.25416.40.123.255126
12116.40.124.0/2516.40.124.1 to 16.40.124.12616.40.124.127126
12216.40.124.128/2516.40.124.129 to 16.40.124.25416.40.124.255126
12316.40.125.0/2516.40.125.1 to 16.40.125.12616.40.125.127126
12416.40.125.128/2516.40.125.129 to 16.40.125.25416.40.125.255126
12516.40.126.0/2516.40.126.1 to 16.40.126.12616.40.126.127126
12616.40.126.128/2516.40.126.129 to 16.40.126.25416.40.126.255126
12716.40.127.0/2516.40.127.1 to 16.40.127.12616.40.127.127126
12816.40.127.128/2516.40.127.129 to 16.40.127.25416.40.127.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses